Runner.buttonEvents["Limpiar_Log"] = function( pageObj, proxy, pageid ) {
	//register a new button
	pageObj.buttonNames[ pageObj.buttonNames.length ] = 'Limpiar_Log';
	
	if ( !pageObj.buttonEventBefore['Limpiar_Log'] ) {
		pageObj.buttonEventBefore['Limpiar_Log'] = function( params, ctrl, pageObj, proxy, pageid, rowData, row, submit ) {		
			var ajax = ctrl;

		}
	}
	
	if ( !pageObj.buttonEventAfter['Limpiar_Log'] ) {
		pageObj.buttonEventAfter['Limpiar_Log'] = function( result, ctrl, pageObj, proxy, pageid, rowData, row, params ) {
			var ajax = ctrl;
swal ( "Realizado", "Los registros fueron borrados" , "success" );
		}
	}
	
	$('a[id="Limpiar_Log"]').each( function() {
		if ( $(this).closest('.gridRowAdd').length ) {
			return;
		}
		
		this.id = "Limpiar_Log" + "_" + Runner.genId();
		
		// create object
		var button_Limpiar_Log = new Runner.form.Button({
			id: this.id ,
			btnName: "Limpiar_Log"
		});
		
		// init
		button_Limpiar_Log.init( {args: [ pageObj, proxy, pageid ]} );
	});
};

